#pragma once
#include <Carbon/Carbon.h>

class SCPatchRecord
{
  public:
  	SCPatchRecord(CFBundleRef ownerBundle, CFStringRef bundleIdentifier, CFStringRef subPath, CFStringRef name);
  	SCPatchRecord(SCPatchRecord const &copyMe);
  	~SCPatchRecord(void);
  	
  	CFStringRef				GetIdentifier(void)  { return mBundleIdentifier; }
  	CFStringRef				GetName(void)		 { return mName; }
  	CFStringRef				GetPath(void)		 { return mPath; }
  	CFURLRef				GetURL(void)		 { return mURL; }
  	
  private:
	CFStringRef				mBundleIdentifier;
	CFStringRef				mSubPath;
	CFStringRef				mName;
	CFStringRef				mPath;
	CFURLRef				mURL;
  
};

